#include <stdio.h>
#include <math.h>

// nombre de termes de la somme
// 100000   1000000   10000000   100000000
#define N 100000

/* ---------------------------------------------------------------- */

int main ()
{
  int i;
  float f,fi;
  double d,di;
  
  printf("N = %d\n",N);

  // ----------------------------------------
  // FLOAT

  // ordre 1 -> N
  f  = 1.0;
  for (i=2; i<=N; i++)
    f  = f  + 1.0/((float) i);

  // ordre N -> 1
  fi = 0.0;
  for (i=N; i>=1; i--)
    fi = fi + 1.0/((float) i);
  
  printf("float  : ordre 1 -> N : %20.6e\n",f);
  printf("float  : ordre N -> 1 : %20.6e\n",fi);

  // ----------------------------------------
  // DOUBLE

  // ordre 1 -> N
  d  = 1.0;
  for (i=2; i<=N; i++)
    d  = d  + 1.0/((double) i);

  // ordre N -> 1
  di = 0.0;
  for (i=N; i>=1; i--)
    di = di + 1.0/((double) i);
  
  printf("double : ordre 1 -> N : %20.14e\n",d);
  printf("double : ordre N -> 1 : %20.14e\n",di);

  return 0;
}
