#include <stdio.h>
#include <math.h>

#define N 500    // nb de points entre V0 et V1
#define V0 0.988 // valeur de dbut
#define V1 1.012 // valeur de fin

// le polynome tudi
double poly(double x)
{
  return pow(x,7) - 7.0*pow(x,6) + 21.0*pow(x,5) - 35.0*pow(x,4) 
                  + 35.0*pow(x,3) - 21.0*pow(x,2) + 7.0*x - 1.0;
}

int main ()
{
  double x, pas;
  int i;

  pas = (V1-V0)/(N-1);
  x = V0;

  for (i=0 ; i<N ; i++)
    {
      printf("%e %e\n",x,poly(x));
      x += pas;
    }

  return 0;
}
